# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:           perl-Event-RPC
Version:        1.01
Release:        5.2
Summary:        Event based transparent Client/Server RPC framework
Source:         http://search.cpan.org/CPAN/authors/id/J/JR/JRED/Event-RPC-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Event-RPC/
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  make perl
BuildRequires:  perl-macros
BuildRequires:  perl(Event)
BuildRequires:  perl(Glib)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::More)
Requires:       perl(Event)
#Recommends:     perl(Glib)
Requires:       perl(IO::Socket::INET)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(Net::SSLeay)
Requires:       perl(Storable)
Requires:       perl(Test::More)

%description
Event::RPC supports you in developing Event based networking client/server
applications with transparent object/method access from the client to the
server. Network communication is optionally encrypted using IO::Socket::SSL.
Several event loop managers are supported due to an extensible API. Currently
Event and Glib are implemented.

%prep
%setup -q -n "Event-RPC-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Event
%{perl_vendorlib}/Event/RPC.pm
%{perl_vendorlib}/Event/RPC
%dir %{perl_vendorarch}/auto/Event
%{perl_vendorarch}/auto/Event/RPC
%doc %{perl_man3dir}/Event::RPC.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Event::RPC::*.%{perl_man3ext}%{ext_man}

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (1.01)
